List review messages
Lists a review’s chat messages, oldest first, or only those after after_id.
Requires a realm member (or higher) with the reviews.view permission on the realm that owns the review given by review_id.
POST
/
v1
/
reviews
/
get_messages
List review messages
curl --request POST \
--url https://{host}/v1/reviews/get_messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"review_id": "4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d"
}
'import requests
url = "https://{host}/v1/reviews/get_messages"
payload = { "review_id": "4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({review_id: '4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d'})
};
fetch('https://{host}/v1/reviews/get_messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/reviews/get_messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'review_id' => '4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/reviews/get_messages"
payload := strings.NewReader("{\n \"review_id\": \"4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/reviews/get_messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"review_id\": \"4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/reviews/get_messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"review_id\": \"4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"messages": [
{
"id": 1,
"review_id": "4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d",
"role": "assistant",
"text": "I removed the token. Approve?",
"sender_id": null,
"created_at": "2026-10-07T10:16:00Z"
}
]
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication required"
}
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "You do not have access to do this"
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"ok": false,
"error": "review_id: Required",
"code": "invalid_params"
}{
"ok": false,
"error": "Internal server error",
"code": "internal_error"
}Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
List review messages
curl --request POST \
--url https://{host}/v1/reviews/get_messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"review_id": "4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d"
}
'import requests
url = "https://{host}/v1/reviews/get_messages"
payload = { "review_id": "4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({review_id: '4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d'})
};
fetch('https://{host}/v1/reviews/get_messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/reviews/get_messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'review_id' => '4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/reviews/get_messages"
payload := strings.NewReader("{\n \"review_id\": \"4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/reviews/get_messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"review_id\": \"4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/reviews/get_messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"review_id\": \"4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"messages": [
{
"id": 1,
"review_id": "4a3b2c1d-0e9f-4a8b-9c7d-6e5f4a3b2c1d",
"role": "assistant",
"text": "I removed the token. Approve?",
"sender_id": null,
"created_at": "2026-10-07T10:16:00Z"
}
]
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication required"
}
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "You do not have access to do this"
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"ok": false,
"error": "review_id: Required",
"code": "invalid_params"
}{
"ok": false,
"error": "Internal server error",
"code": "internal_error"
}